Get an agent
curl --request GET \
--url https://app.egma.ai/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'{
"agent": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"agentPlatform": "retell",
"platformAgentId": "<string>",
"retellModality": "voice",
"monitoringKeyPresent": true,
"monitoringApiKeyHint": "<string>",
"pullProductionCalls": true,
"monitoringConfigured": true,
"lastReceivedAt": "2023-11-07T05:31:56Z",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"connections": [
{
"id": "<string>",
"agentId": "<string>",
"projectId": "<string>",
"name": "<string>",
"agentPlatform": "retell",
"connectionType": "retell_chat_api",
"accessVariant": "retell_chat_api.api_key",
"modality": "voice",
"productLabel": "<string>",
"topology": "agent-dials-out",
"environment": "<string>",
"config": {},
"credentialPresent": true,
"credentialsHint": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Agents
Get an agent
GET
/
v1
/
agents
/
{agentId}
Get an agent
curl --request GET \
--url https://app.egma.ai/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>'{
"agent": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"agentPlatform": "retell",
"platformAgentId": "<string>",
"retellModality": "voice",
"monitoringKeyPresent": true,
"monitoringApiKeyHint": "<string>",
"pullProductionCalls": true,
"monitoringConfigured": true,
"lastReceivedAt": "2023-11-07T05:31:56Z",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"connections": [
{
"id": "<string>",
"agentId": "<string>",
"projectId": "<string>",
"name": "<string>",
"agentPlatform": "retell",
"connectionType": "retell_chat_api",
"accessVariant": "retell_chat_api.api_key",
"modality": "voice",
"productLabel": "<string>",
"topology": "agent-dials-out",
"environment": "<string>",
"config": {},
"credentialPresent": true,
"credentialsHint": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
The Egma agent ID returned by Register an agent or List agents.
Minimum string length:
1Example:
"agt_01M0E4J0BBE1FVDVTZ1BSS5C97"